Package org.opensaml.xmlsec.impl

# Class AlgorithmRuntimeSupportedPredicate

java.lang.Object
org.opensaml.xmlsec.impl.AlgorithmRuntimeSupportedPredicate

All Implemented Interfaces:
  `Predicate<String>`

public class AlgorithmRuntimeSupportedPredicate extends Object implements Predicate<String>
A predicate which evaluates whether a cryptographic algorithm URI is effectively supported by the runtime environment, as determined by `AlgorithmRegistry.isRuntimeSupported(String)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private AlgorithmRegistry`
`registry`
The algorithm registry instance.

## Constructor Summary

Constructors
Constructor
Description
`AlgorithmRuntimeSupportedPredicate(AlgorithmRegistry algorithmRegistry)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### registry

@Nonnull private AlgorithmRegistry registry
The algorithm registry instance.

## Constructor Details

### AlgorithmRuntimeSupportedPredicate

public AlgorithmRuntimeSupportedPredicate(@Nonnull AlgorithmRegistry algorithmRegistry)
Constructor.

Parameters:
  `algorithmRegistry` - the algorithm registry instance to use

## Method Details

### test

public boolean test(@Nullable String input)

Specified by:
  `test` in interface `Predicate<String>`